## liqbase-playground 0.3.58

=== Makefile ===
PROG        = liqbase-playground
VERS        = 0.3.0
CC          = gcc
LD          = gcc


OPT_FLAGS   =  -O3
#DESTDIR	?= tmp


ETCDIR	    = $(DESTDIR)/etc
PREFIX	    = $(DESTDIR)/usr
SUDODIR	    = $(ETCDIR)/sudoers.d
BINDIR	    = $(PREFIX)/bin
DESKTOPDIR      = $(PREFIX)/share/applications/hildon
SERVICEDIR      = $(PREFIX)/share/dbus-1/services
PGDIR		    = $(PREFIX)/share/liqbase


.PHONY:     clean distclean
all:        
	$(MAKE) -C src

clean:
	      $(MAKE) clean -C src

.PHONY:     clean

install:

	install -d $(BINDIR)
	install -d $(SUDODIR)
	install -d $(DESKTOPDIR)
	install -d $(SERVICEDIR)
	install -d $(PGDIR)

	mkdir -p                                    									$(PGDIR)
	mkdir -p                                    									$(PGDIR)/media
	mkdir -p                                    									$(PGDIR)/widgets
	mkdir -p                                    									$(ETCDIR)
	mkdir -p                                    									$(ETCDIR)/osso-backup
	mkdir -p                                    									$(ETCDIR)/osso-backup/applications



	mkdir -p															$(PREFIX)
	mkdir -p															$(PREFIX)/share
	mkdir -p															$(PREFIX)/share/icons
	mkdir -p															$(PREFIX)/share/icons/hicolor
	mkdir -p															$(PREFIX)/share/icons/hicolor/scalable
	mkdir -p															$(PREFIX)/share/icons/hicolor/scalable/apps


	cp -r media/*       	                    									$(PGDIR)/media

	install -m 0755 src/liqbase-playground      									$(PGDIR)
	cp -r src/widgets/*.so                      									$(PGDIR)/widgets


	install -m 0755 liqbase_base_fs/usr/bin/liqbase-playground-run.sh                               $(BINDIR)
	install -m 0755 liqbase_base_fs/usr/bin/liqbase-playground-cpu-ondemand                         $(BINDIR)
	install -m 0755 liqbase_base_fs/usr/bin/liqbase-playground-cpu-powersave                        $(BINDIR)
	install -m 0755 liqbase_base_fs/usr/bin/liqbase-playground-cpu-performance                      $(BINDIR)
	install -m 0755 liqbase_base_fs/etc/sudoers.d/liqbase-playground.sudoers                        $(SUDODIR)
	install -m 0755 liqbase_base_fs/usr/share/applications/hildon/liqbase_playground.desktop        $(DESKTOPDIR)
	install -m 0755 liqbase_base_fs/usr/share/dbus-1/services/org.maemo.liqbase_playground.service  $(SERVICEDIR)
	install -m 0755 liqbase_base_fs/etc/osso-backup/applications/liqbase-playground.conf            $(ETCDIR)/osso-backup/applications

	install -m 0755 liqbase_base_fs/usr/share/icons/hicolor/scalable/apps/liqbase_playground.png    $(PREFIX)/share/icons/hicolor/scalable/apps/liqbase_playground.png

=== src/Makefile ===
PROG        = liqbase-playground
VERS        = 0.1.0
CC          = gcc
LD          = gcc


OPT_FLAGS   =  -O3
DESTDIR	?= tmp

LIBRARIES   =
# xrandr
# -DUSE_MAEMO 
CFLAGS      = -DUSE_MAEMO -Wall   -I/usr/include `pkg-config --cflags  $(LIBRARIES)` 
LDFLAGS     = -lm -lliqbase `pkg-config --libs $(LIBRARIES)`  -lpthread  -Wl,-export-dynamic -L/usr/local/lib

RM          = /bin/rm -f

OBJSCORE    = playground.o desktopmanage.o liqtwit.o liqtwitter_sendprogress.o
OBJS        = $(OBJSCORE) $(PROG).o




.PHONY:     clean distclean
all:        $(PROG)
	      $(MAKE) -C widgets

$(PROG):    $(OBJS)
	      $(LD) $(LDFLAGS) -o $(PROG) $(OBJS) \
		
.c.o:
	      $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
	      $(RM) *~ $(OBJS) $(PROG)
		$(MAKE) clean -C widgets

.PHONY:     clean

=== src/widgets/Makefile ===
PROG        = widgets
VERS        = 0.1.0
CC          = gcc
LD          = gcc

OPT_FLAGS   =  -O3

LIBRARIES   = 

CFLAGS      = $(OPT_FLAGS) -DUSE_MAEMO -Wall   
LDFLAGS     = -lm -lliqbase
RM          = /bin/rm -f

SUBDIRS     =  
aaa = desktopmanage liqui playground liqcalendar

SRCS        = $(wildcard *.c)

OBJS        = $(patsubst %.c,%.o,$(SRCS))

LIBS        = $(patsubst %.c,%.so,$(SRCS))

BINS        = $(patsubst %.c,%,$(SRCS))

.PHONY:     clean distclean

all:        $(LIBS) 
	@for i in $(SUBDIRS); do \
	echo "make all in $$i..."; \
	(cd $$i; $(MAKE) all); done



%.o : %.c
	$(CC) -c -fpic $(CFLAGS) $(CPPFLAGS) $< -o $@

%.so : %.o
	$(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $< -o $@


clean:
	$(RM) *~ $(OBJS) $(LIBS)
	@for i in $(SUBDIRS); do \
	echo "make all in $$i..."; \
	(cd $$i; $(MAKE) clean); done

.PHONY:     clean

=== debian/changelog ===
liqbase-playground (0.3.58) unstable; urgency=low

  * left silly testing widget in.

 -- Gary Birkett <liquid@gmail.com>  01 December 2009 08:41:03 +0200

liqbase-playground (0.3.57) unstable; urgency=low

  * bugfixes and side issues.

 -- Gary Birkett <liquid@gmail.com>  01 December 2009 08:41:03 +0200

=== debian/control ===
Source: liqbase-playground
Section: user/multimedia
Priority: extra
Maintainer: Gary <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , x11proto-core-dev, libliqbase-dev (>= 0.3.57), libsqlite3-dev, libcurl3-dev
Standards-Version: 3.7.2

Package: liqbase-playground
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} ,libliqbase1 (>= 0.3.57), liqtorch, liqcontrolpanel, liqpostcard, onedotzero
Description: graphical ideas playground for liqbase toys
 graphical ideas playground for all of the liqbase toys

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/liqbase-playground.sgml > liqbase.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/liqbase.
	$(MAKE) DESTDIR=$(CURDIR)/debian/liqbase-playground install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
